import { Host, h } from "@stencil/core";
import { GridColumns, GridColumnsSm, GridColumnsLg, GridAlignVariants } from '../../utils/utils';
export class GridItem {
    constructor() {
        this.columns = GridColumns.default;
        this.columnssm = GridColumnsSm.default;
        this.columnslg = GridColumnsLg.default;
        this.contentalign = GridAlignVariants.default;
    }
    render() {
        const classAttributes = [
            "hy-grid-item",
            `hy-grid__col-${this.columnssm}-sm`,
            `hy-grid__col-${this.columns}`,
            `hy-grid__col-${this.columnslg}-lg`,
            `hy-grid-align__${this.contentalign}`,
        ];
        return (h(Host, { class: classAttributes.join(" ") },
            h("slot", null)));
    }
    static get is() { return "hy-grid-item"; }
    static get originalStyleUrls() { return {
        "$": ["grid-item.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["grid-item.css"]
    }; }
    static get properties() { return {
        "columns": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "GridColumns",
                "resolved": "GridColumns.columns1 | GridColumns.columns10 | GridColumns.columns11 | GridColumns.columns12 | GridColumns.columns2 | GridColumns.columns3 | GridColumns.columns4 | GridColumns.columns5 | GridColumns.columns6 | GridColumns.columns7 | GridColumns.columns8 | GridColumns.columns9",
                "references": {
                    "GridColumns": {
                        "location": "import",
                        "path": "../../utils/utils"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "columns",
            "reflect": false,
            "defaultValue": "GridColumns.default"
        },
        "columnssm": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "GridColumnsSm",
                "resolved": "GridColumnsSm.columnsSm1 | GridColumnsSm.columnsSm10 | GridColumnsSm.columnsSm11 | GridColumnsSm.columnsSm12 | GridColumnsSm.columnsSm2 | GridColumnsSm.columnsSm3 | GridColumnsSm.columnsSm4 | GridColumnsSm.columnsSm5 | GridColumnsSm.columnsSm6 | GridColumnsSm.columnsSm7 | GridColumnsSm.columnsSm8 | GridColumnsSm.columnsSm9",
                "references": {
                    "GridColumnsSm": {
                        "location": "import",
                        "path": "../../utils/utils"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "columnssm",
            "reflect": false,
            "defaultValue": "GridColumnsSm.default"
        },
        "columnslg": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "GridColumnsLg",
                "resolved": "GridColumnsLg.columnsLg1 | GridColumnsLg.columnsLg10 | GridColumnsLg.columnsLg11 | GridColumnsLg.columnsLg12 | GridColumnsLg.columnsLg2 | GridColumnsLg.columnsLg3 | GridColumnsLg.columnsLg4 | GridColumnsLg.columnsLg5 | GridColumnsLg.columnsLg6 | GridColumnsLg.columnsLg7 | GridColumnsLg.columnsLg8 | GridColumnsLg.columnsLg9",
                "references": {
                    "GridColumnsLg": {
                        "location": "import",
                        "path": "../../utils/utils"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "columnslg",
            "reflect": false,
            "defaultValue": "GridColumnsLg.default"
        },
        "contentalign": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "GridAlignVariants",
                "resolved": "GridAlignVariants.center | GridAlignVariants.default | GridAlignVariants.right",
                "references": {
                    "GridAlignVariants": {
                        "location": "import",
                        "path": "../../utils/utils"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "contentalign",
            "reflect": false,
            "defaultValue": "GridAlignVariants.default"
        }
    }; }
}
